-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local num = ProcessingFlow[1].Destination.LaneOwner
if num == 0xff then
    return 'PCIeSwitch'
elseif num == 0xfe then
    return 'PCH'
elseif num == 0xfd then
    return 'CPU1,CPU2'
elseif num == 252 then
    return 'CPU1,CPU2,CPU3,CPU4'
else
    return 'CPU' .. (num + 1)
end
